<template>
  <div class="user-signature-add-on" v-if="showSignatures">
    {{ formattedSignature }}
  </div>
</template>

<script>
import { computed } from 'vue'
import { useStore } from 'vuex'
import { useMarkdown } from '../../core'

export default {
  name: 'UserSignatureAddOn',
  props: {
    user: Object,
  },
  setup(props) {
    const store = useStore()
    const markdown = useMarkdown()

    const showSignatures = computed(() => {
      return store.state.forum.persisted.showSignatures
    })

    const formattedSignature = computed(() => {
      return props.user ? markdown.toHtml(props.user.signature, store.state.core.persisted.showEmojis) : ''
    })

    return {
      showSignatures,
      formattedSignature,
    }
  },
}
</script>
